" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-auto-compound-p*
syn keyword tl_keyword contained *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p* *listener-pprint-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-args* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *print-json-format* *print-json-type* *random-state* *random-warmup*
syn keyword tl_keyword contained *read-bad-json* *read-json-int* *read-unknown-structs* *rec-source-loc*
syn keyword tl_keyword contained *stddebug* *stderr* *stdin* *stdlog*
syn keyword tl_keyword contained *stdnull* *stdout* *struct-clause-expander* *trace-output*
syn keyword tl_keyword contained *tree-fun-whitelist* *txr-version* *unhandled-hook* +
syn keyword tl_keyword contained - / /= :
syn keyword tl_keyword contained :abandoned :abs :addr :all
syn keyword tl_keyword contained :android :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :clean :close
syn keyword tl_keyword contained :compile :continue :counter :cspace
syn keyword tl_keyword contained :ctime :cword-char :cygnal :cygwin
syn keyword tl_keyword contained :dec :decline :delegate :dev
syn keyword tl_keyword contained :digit :downcase :end :end-file
syn keyword tl_keyword contained :env :eq-based :eql-based :equal-based
syn keyword tl_keyword contained :error :explicit-no :fallback :fd
syn keyword tl_keyword contained :fence :fields :filter :fini
syn keyword tl_keyword contained :finish :float :form :from-current
syn keyword tl_keyword contained :from-end :from-start :from_html :frombase64
syn keyword tl_keyword contained :frombase64url :fromhtml :frompercent :fromurl
syn keyword tl_keyword contained :fun :function :gap :gid
syn keyword tl_keyword contained :greedy :hex :hextoint :inf
syn keyword tl_keyword contained :inherit :init :ino :inp
syn keyword tl_keyword contained :inputs :instance :into :key
syn keyword tl_keyword contained :let :lfilt :lines :linux
syn keyword tl_keyword contained :list :lists :local :longest
syn keyword tl_keyword contained :macos :macro :mandatory :mass-delegate
syn keyword tl_keyword contained :match :maxgap :maxtimes :method
syn keyword tl_keyword contained :mid :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :noclose :nothrow :oct
syn keyword tl_keyword contained :ok :openbsd :outf :outp
syn keyword tl_keyword contained :output :owner :perms :postfini
syn keyword tl_keyword contained :postinit :prio :rdev :real-time
syn keyword tl_keyword contained :reflect :repeat-spec :resolve :rfilt
syn keyword tl_keyword contained :set :set-file :shortest :size
syn keyword tl_keyword contained :solaris :solaris10 :space :standard
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :symlinks :text :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tobase64url :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :unknown
syn keyword tl_keyword contained :upcase :use :use-from :use-syms
syn keyword tl_keyword contained :use-syms-as :userdata :var :vars
syn keyword tl_keyword contained :warn :weak-and :weak-keys :weak-or
syn keyword tl_keyword contained :weak-vals :whole :word-char :wrap
syn keyword tl_keyword contained < <= = >
syn keyword tl_keyword contained >= abort abs abs-path-p
syn keyword tl_keyword contained acons acons-new aconsql-new acos
syn keyword tl_keyword contained acosh add-suffix ado af-inet
syn keyword tl_keyword contained af-inet6 af-unix af-unspec ai-addrconfig
syn keyword tl_keyword contained ai-all ai-canonname ai-numerichost ai-numericserv
syn keyword tl_keyword contained ai-passive ai-v4mapped alet align
syn keyword tl_keyword contained alignof alist-nremove alist-remove all
syn keyword tl_keyword contained allocate-struct and andf ap
syn keyword tl_keyword contained apf append append* append-each
syn keyword tl_keyword contained append-each* append-each-prod append-each-prod* append-match-products
syn keyword tl_keyword contained append-matches apply aret arithp
syn keyword tl_keyword contained array arraysize ash asin
syn keyword tl_keyword contained asinh assert assoc assq
syn keyword tl_keyword contained assql at-exit-call at-exit-do-not-call atan
syn keyword tl_keyword contained atan2 atanh atom awk
syn keyword tl_keyword contained base-name base64-decode base64-decode-buf base64-encode
syn keyword tl_keyword contained base64-stream-dec base64-stream-enc base64url-decode base64url-decode-buf
syn keyword tl_keyword contained base64url-encode base64url-stream-dec base64url-stream-enc bchar
syn keyword tl_keyword contained be-double be-float be-int16 be-int32
syn keyword tl_keyword contained be-int64 be-uint16 be-uint32 be-uint64
syn keyword tl_keyword contained bignum-len bignump bindable bit
syn keyword tl_keyword contained bitset blkcnt-t blksize-t block
syn keyword tl_keyword contained block* bool boundp bracket
syn keyword tl_keyword contained break-str brkint bs0 bs1
syn keyword tl_keyword contained bsdly bstr bstr-d bstr-s
syn keyword tl_keyword contained buf buf-alloc-size buf-carray buf-compress
syn keyword tl_keyword contained buf-d buf-decompress buf-get-char buf-get-cptr
syn keyword tl_keyword contained buf-get-double buf-get-float buf-get-i16 buf-get-i32
syn keyword tl_keyword contained buf-get-i64 buf-get-i8 buf-get-int buf-get-long
syn keyword tl_keyword contained buf-get-short buf-get-u16 buf-get-u32 buf-get-u64
syn keyword tl_keyword contained buf-get-u8 buf-get-uchar buf-get-uint buf-get-ulong
syn keyword tl_keyword contained buf-get-ushort buf-int buf-list buf-put-buf
syn keyword tl_keyword contained buf-put-char buf-put-cptr buf-put-double buf-put-float
syn keyword tl_keyword contained buf-put-i16 buf-put-i32 buf-put-i64 buf-put-i8
syn keyword tl_keyword contained buf-put-int buf-put-long buf-put-short buf-put-u16
syn keyword tl_keyword contained buf-put-u32 buf-put-u64 buf-put-u8 buf-put-uchar
syn keyword tl_keyword contained buf-put-uint buf-put-ulong buf-put-ushort buf-set-length
syn keyword tl_keyword contained buf-str buf-trim buf-uint bufp
syn keyword tl_keyword contained build build-list buildn built-in-type-p
syn keyword tl_keyword contained butlast butlastn caaaaar caaaadr
syn keyword tl_keyword contained caaaar caaadar caaaddr caaadr
syn keyword tl_keyword contained caaar caadaar caadadr caadar
syn keyword tl_keyword contained caaddar caadddr caaddr caadr
syn keyword tl_keyword contained caar cadaaar cadaadr cadaar
syn keyword tl_keyword contained cadadar cadaddr cadadr cadar
syn keyword tl_keyword contained caddaar caddadr caddar cadddar
syn keyword tl_keyword contained caddddr cadddr caddr cadr
syn keyword tl_keyword contained call call-clobber-expander call-delete-expander call-finalizers
syn keyword tl_keyword contained call-super-fun call-super-method call-update-expander callf
syn keyword tl_keyword contained car carray carray-blank carray-buf
syn keyword tl_keyword contained carray-buf-sync carray-cptr carray-dup carray-free
syn keyword tl_keyword contained carray-get carray-getz carray-int carray-list
syn keyword tl_keyword contained carray-own carray-pun carray-put carray-putz
syn keyword tl_keyword contained carray-ref carray-refset carray-replace carray-set-length
syn keyword tl_keyword contained carray-sub carray-type carray-uint carray-vec
syn keyword tl_keyword contained carrayp caseq caseq* caseql
syn keyword tl_keyword contained caseql* casequal casequal* cat-files
syn keyword tl_keyword contained cat-str cat-streams cat-vec catch
syn keyword tl_keyword contained catch* catch** catenated-stream-p catenated-stream-push
syn keyword tl_keyword contained cbaud cbaudex cbrt cdaaaar
syn keyword tl_keyword contained cdaaadr cdaaar cdaadar cdaaddr
syn keyword tl_keyword contained cdaadr cdaar cdadaar cdadadr
syn keyword tl_keyword contained cdadar cdaddar cdadddr cdaddr
syn keyword tl_keyword contained cdadr cdar cddaaar cddaadr
syn keyword tl_keyword contained cddaar cddadar cddaddr cddadr
syn keyword tl_keyword contained cddar cdddaar cdddadr cdddar
syn keyword tl_keyword contained cddddar cdddddr cddddr cdddr
syn keyword tl_keyword contained cddr cdr ceil ceil-rem
syn keyword tl_keyword contained chain chand char chdir
syn keyword tl_keyword contained chmod chmod-rec chown chown-rec
syn keyword tl_keyword contained chr-digit chr-int chr-isalnum chr-isalpha
syn keyword tl_keyword contained chr-isascii chr-isblank chr-iscntrl chr-isdigit
syn keyword tl_keyword contained chr-isgraph chr-islower chr-isprint chr-ispunct
syn keyword tl_keyword contained chr-isspace chr-isunisp chr-isupper chr-isxdigit
syn keyword tl_keyword contained chr-num chr-str chr-str-set chr-tolower
syn keyword tl_keyword contained chr-toupper chr-xdigit chrp clamp
syn keyword tl_keyword contained clean-file clear-dirty clear-error clear-mask
syn keyword tl_keyword contained clear-struct clearhash clocal clock-t
syn keyword tl_keyword contained clockid-t close close-lazy-streams close-stream
syn keyword tl_keyword contained closedir closelog closure cmp-str
syn keyword tl_keyword contained cmspar cnshuffle cnsort coded-length
syn keyword tl_keyword contained collect-each collect-each* collect-each-prod collect-each-prod*
syn keyword tl_keyword contained comb combi command-get command-get-buf
syn keyword tl_keyword contained command-get-json command-get-jsons command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-buf command-put-json command-put-jsons
syn keyword tl_keyword contained command-put-lines command-put-string compare-swap compile
syn keyword tl_keyword contained compile-defr-warning compile-error compile-file compile-only
syn keyword tl_keyword contained compile-toplevel compile-update-file compile-warning compiler-let
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons cons-count cons-find conses
syn keyword tl_keyword contained conses* consp constantp contain[s]
syn keyword tl_keyword contained copy copy-alist copy-buf copy-carray
syn keyword tl_keyword contained copy-cons copy-cptr copy-file copy-files
syn keyword tl_keyword contained copy-fun copy-hash copy-hash-iter copy-iter
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec copysign cos cosh
syn keyword tl_keyword contained count count-if count-until-match countq
syn keyword tl_keyword contained countql countqual cptr cptr-buf
syn keyword tl_keyword contained cptr-carray cptr-cast cptr-free cptr-get
syn keyword tl_keyword contained cptr-int cptr-null cptr-obj cptr-out
syn keyword tl_keyword contained cptr-size-hint cptr-type cptr-zap cptrp
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crc32 crc32-stream crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 cshuffle csize
syn keyword tl_keyword contained csnsort csort csort-group cssort
syn keyword tl_keyword contained cstopb cum-norm-dist cxr cyr
syn keyword tl_keyword contained daemon dec defer-warning defex
syn keyword tl_keyword contained deffi deffi-cb deffi-cb-unsafe deffi-struct
syn keyword tl_keyword contained deffi-sym deffi-type deffi-union deffi-var
syn keyword tl_keyword contained define-accessor define-modify-macro define-option-struct define-param-expander
syn keyword tl_keyword contained define-place-macro define-struct-clause define-struct-prelude defmacro
syn keyword tl_keyword contained defmatch defmeth defpackage defparm
syn keyword tl_keyword contained defparml defplace defset defstruct
syn keyword tl_keyword contained defsymacro defun defun-match defvar
syn keyword tl_keyword contained defvarl del delay delcons
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name dirstat disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do doc dohash doloop
syn keyword tl_keyword contained doloop* dotimes double downcase-str
syn keyword tl_keyword contained drem drop drop-until drop-while
syn keyword tl_keyword contained dt-blk dt-chr dt-dir dt-fifo
syn keyword tl_keyword contained dt-lnk dt-reg dt-sock dt-unknown
syn keyword tl_keyword contained dump-compiled-objects dump-deferred-warnings dup dupfd
syn keyword tl_keyword contained dwim e2big eacces each
syn keyword tl_keyword contained each* each-false each-match each-match-product
syn keyword tl_keyword contained each-prod each-prod* each-true eaddrinuse
syn keyword tl_keyword contained eaddrnotavail eafnosupport eagain ealready
syn keyword tl_keyword contained ebadf ebadmsg ebusy ecanceled
syn keyword tl_keyword contained ecaseq ecaseq* ecaseql ecaseql*
syn keyword tl_keyword contained ecasequal ecasequal* echild echo
syn keyword tl_keyword contained echoctl echoe echok echoke
syn keyword tl_keyword contained echonl echoprt econnaborted econnrefused
syn keyword tl_keyword contained econnreset edeadlk edestaddrreq edom
syn keyword tl_keyword contained edquot eexist efault efbig
syn keyword tl_keyword contained ehostunreach eidrm eighth eilseq
syn keyword tl_keyword contained einprogress eintr einval eio
syn keyword tl_keyword contained eisconn eisdir elemsize elemtype
syn keyword tl_keyword contained eloop emfile emlink empty
syn keyword tl_keyword contained emsgsize emultihop enametoolong endgrent
syn keyword tl_keyword contained endp endpwent ends-with enetdown
syn keyword tl_keyword contained enetreset enetunreach enfile enobufs
syn keyword tl_keyword contained enodata enodev enoent enoexec
syn keyword tl_keyword contained enolck enolink enomem enomsg
syn keyword tl_keyword contained enoprotoopt enospc enosr enostr
syn keyword tl_keyword contained enosys enotconn enotdir enotempty
syn keyword tl_keyword contained enotrecoverable enotsock enotsup enotty
syn keyword tl_keyword contained ensure ensure-dir enum enumed
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erf erfc erofs
syn keyword tl_keyword contained errno error espipe esrch
syn keyword tl_keyword contained estale etime etimedout etxtbsy
syn keyword tl_keyword contained etypecase eval eval-only evenp
syn keyword tl_keyword contained ewouldblock exception-subtype-map exception-subtype-p exdev
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained exp10 exp2 expand expand*
syn keyword tl_keyword contained expand-left expand-right expand-with-free-refs expander-let
syn keyword tl_keyword contained expm1 expt exptmod extproc
syn keyword tl_keyword contained f$ f-dupfd f-dupfd-cloexec f-getfd
syn keyword tl_keyword contained f-getfl f-getlk f-rdlck f-setfd
syn keyword tl_keyword contained f-setfl f-setlk f-setlkw f-unlck
syn keyword tl_keyword contained f-wrlck f^ f^$ false
syn keyword tl_keyword contained fboundp fcntl fd-cloexec fdim
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-objects file-append-string file-get file-get-buf
syn keyword tl_keyword contained file-get-json file-get-jsons file-get-lines file-get-objects
syn keyword tl_keyword contained file-get-string file-place-buf file-put file-put-buf
syn keyword tl_keyword contained file-put-json file-put-jsons file-put-lines file-put-objects
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-maxes find-min find-min-key
syn keyword tl_keyword contained find-mins find-package find-struct-type find-symbol
syn keyword tl_keyword contained find-symbol-fb find-true first fixnum-max
syn keyword tl_keyword contained fixnum-min fixnump flatcar flatcar*
syn keyword tl_keyword contained flatten flatten* flet flip
syn keyword tl_keyword contained flipargs flo-dig flo-down flo-epsilon
syn keyword tl_keyword contained flo-get-round-mode flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-near flo-set-round-mode flo-str
syn keyword tl_keyword contained flo-up flo-zero float floatp
syn keyword tl_keyword contained floor floor-rem flow flush-stream
syn keyword tl_keyword contained flusho fmakunbound fmax fmin
syn keyword tl_keyword contained fmt fnm-casefold fnm-extmatch fnm-leading-dir
syn keyword tl_keyword contained fnm-noescape fnm-pathname fnm-period fnmatch
syn keyword tl_keyword contained for for* force force-break
syn keyword tl_keyword contained fork format fourth fr$
syn keyword tl_keyword contained fr^ fr^$ from frr
syn keyword tl_keyword contained fsblkcnt-t fsfilcnt-t fstat ftw
syn keyword tl_keyword contained ftw-actionretval ftw-chdir ftw-continue ftw-d
syn keyword tl_keyword contained ftw-depth ftw-dnr ftw-dp ftw-f
syn keyword tl_keyword contained ftw-mount ftw-ns ftw-phys ftw-skip-siblings
syn keyword tl_keyword contained ftw-skip-subtree ftw-sl ftw-sln ftw-stop
syn keyword tl_keyword contained fun fun-fixparam-count fun-optparam-count fun-variadic
syn keyword tl_keyword contained func-get-env func-get-form func-get-name func-set-env
syn keyword tl_keyword contained functionp gamma gcd gen
syn keyword tl_keyword contained gen-hash-seed generate gensym gequal
syn keyword tl_keyword contained get-buf-from-stream get-byte get-char get-clobber-expander
syn keyword tl_keyword contained get-delete-expander get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-json
syn keyword tl_keyword contained get-jsons get-line get-line-as-buf get-lines
syn keyword tl_keyword contained get-list-from-stream get-obj get-sig-handler get-stack-limit
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getrlimit getuid
syn keyword tl_keyword contained gid-t ginterate giterate glob
syn keyword tl_keyword contained glob* glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check glob-xnobrace go grade
syn keyword tl_keyword contained greater group-by group-map group-reduce
syn keyword tl_keyword contained gun handle handle* handler-bind
syn keyword tl_keyword contained hash hash-alist hash-begin hash-construct
syn keyword tl_keyword contained hash-count hash-diff hash-eql hash-equal
syn keyword tl_keyword contained hash-from-alist hash-from-pairs hash-invert hash-isec
syn keyword tl_keyword contained hash-join hash-keys hash-keys-of hash-list
syn keyword tl_keyword contained hash-map hash-next hash-pairs hash-peek
syn keyword tl_keyword contained hash-proper-subset hash-props hash-reset hash-revget
syn keyword tl_keyword contained hash-subset hash-symdiff hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-userdata hash-values hash-zip
syn keyword tl_keyword contained hashp have hist-sort hist-sort-by
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl hypot iapply
syn keyword tl_keyword contained icanon icrnl id-t identity
syn keyword tl_keyword contained identity* ido iexten if
syn keyword tl_keyword contained if-match ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignore ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent inc-indent-abs indent-code indent-data
syn keyword tl_keyword contained indent-foff indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-buf
syn keyword tl_keyword contained int-carray int-chr int-cptr int-flo
syn keyword tl_keyword contained int-ptr-t int-str int16 int32
syn keyword tl_keyword contained int64 int8 integerp intern
syn keyword tl_keyword contained intern-fb interp-fun-p interpose intmax-t
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained ipproto-ip ipproto-ipv6 ipproto-tcp ipproto-udp
syn keyword tl_keyword contained ipv6-join-group ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if
syn keyword tl_keyword contained ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only iread
syn keyword tl_keyword contained isatty isec isecp isig
syn keyword tl_keyword contained isqrt istrip iter-begin iter-cat
syn keyword tl_keyword contained iter-item iter-more iter-reset iter-step
syn keyword tl_keyword contained iterable itimer-prof itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon j0 j1 jmp-buf
syn keyword tl_keyword contained jn join join-with json
syn keyword tl_keyword contained juxt keep-if keep-if* keep-keys-if
syn keyword tl_keyword contained keep-match-products keep-matches keepq keepql
syn keyword tl_keyword contained keepqual key key-t keyword-package
syn keyword tl_keyword contained keywordp kill labels lambda
syn keyword tl_keyword contained lambda-match last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lchown lcm lcons lcons-car
syn keyword tl_keyword contained lcons-cdr lcons-force lcons-fun lconsp
syn keyword tl_keyword contained ldexp ldiff ldo le-double
syn keyword tl_keyword contained le-float le-int16 le-int32 le-int64
syn keyword tl_keyword contained le-uint16 le-uint32 le-uint64 left
syn keyword tl_keyword contained len length length-< length-buf
syn keyword tl_keyword contained length-carray length-list length-list-< length-str
syn keyword tl_keyword contained length-str-< length-str-<= length-str-> length-str->=
syn keyword tl_keyword contained length-vec lequal less let
syn keyword tl_keyword contained let* lexical-binding-kind lexical-fun-binding-kind lexical-fun-p
syn keyword tl_keyword contained lexical-lisp1-binding lexical-macro-p lexical-symacro-p lexical-var-p
syn keyword tl_keyword contained lflow lgamma lib-version link
syn keyword tl_keyword contained lisp-parse list list* list-carray
syn keyword tl_keyword contained list-seq list-str list-vec list-vector
syn keyword tl_keyword contained listp lnew lnew* load
syn keyword tl_keyword contained load-args-process load-args-recurse load-for load-time
syn keyword tl_keyword contained loand loff-t log log-alert
syn keyword tl_keyword contained log-auth log-authpriv log-cons log-crit
syn keyword tl_keyword contained log-daemon log-debug log-emerg log-err
syn keyword tl_keyword contained log-info log-ndelay log-notice log-nowait
syn keyword tl_keyword contained log-odelay log-perror log-pid log-user
syn keyword tl_keyword contained log-warning log10 log1p log2
syn keyword tl_keyword contained logand logb logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long long-suffix longjmp longlong
syn keyword tl_keyword contained lop lopf lopip lset
syn keyword tl_keyword contained lstat lutimes m$ m^
syn keyword tl_keyword contained m^$ mac-env-param-bind mac-param-bind macro-ancestor
syn keyword tl_keyword contained macro-form-p macro-time macroexpand macroexpand-1
syn keyword tl_keyword contained macroexpand-1-lisp1 macroexpand-1-place macroexpand-lisp1 macroexpand-match
syn keyword tl_keyword contained macroexpand-params macroexpand-place macroexpand-struct-clause macrolet
syn keyword tl_keyword contained madv-dodump madv-dofork madv-dontdump madv-dontfork
syn keyword tl_keyword contained madv-dontneed madv-free madv-hugepage madv-hwpoison
syn keyword tl_keyword contained madv-keeponfork madv-mergeable madv-nohugepage madv-normal
syn keyword tl_keyword contained madv-random madv-remove madv-sequential madv-unmergeable
syn keyword tl_keyword contained madv-willneed madv-wipeonfork madvise major
syn keyword tl_keyword contained make-buf make-buf-stream make-byte-input-stream make-catenated-stream
syn keyword tl_keyword contained make-env make-hash make-lazy-cons make-lazy-struct
syn keyword tl_keyword contained make-like make-package make-random-state make-similar-hash
syn keyword tl_keyword contained make-similar-tree make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound map map-anon map-command-buf
syn keyword tl_keyword contained map-command-lines map-command-str map-fixed map-growsdown
syn keyword tl_keyword contained map-huge-mask map-huge-shift map-hugetlb map-locked
syn keyword tl_keyword contained map-nonblock map-noreserve map-populate map-private
syn keyword tl_keyword contained map-process-buf map-process-lines map-process-str map-shared
syn keyword tl_keyword contained map-stack mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained maprend maprod maprodo mask
syn keyword tl_keyword contained match match-case match-cond match-ecase
syn keyword tl_keyword contained match-error match-fboundp match-fun match-regex
syn keyword tl_keyword contained match-regex-right match-regst match-regst-right match-str
syn keyword tl_keyword contained match-str-tree max mboundp md5
syn keyword tl_keyword contained md5-begin md5-end md5-hash md5-stream
syn keyword tl_keyword contained member member-if memp memq
syn keyword tl_keyword contained memql memqual meq meql
syn keyword tl_keyword contained mequal merge merge-delete-package meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mismatch mkdir mkdtemp mkfifo
syn keyword tl_keyword contained mknod mkstemp mkstring mlet
syn keyword tl_keyword contained mmakunbound mmap mod mode-t
syn keyword tl_keyword contained mprotect mref ms-async ms-invalidate
syn keyword tl_keyword contained ms-sync msync mul-each mul-each*
syn keyword tl_keyword contained mul-each-prod mul-each-prod* multi multi-sort
syn keyword tl_keyword contained munmap n-choose-k n-perm-k nand
syn keyword tl_keyword contained nandf nconc nearbyint neg
syn keyword tl_keyword contained neq neql nequal nested-vec
syn keyword tl_keyword contained nested-vec-of new new* nexpand-left
syn keyword tl_keyword contained nextafter nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none nor norf
syn keyword tl_keyword contained not notf nreconc nreverse
syn keyword tl_keyword contained nrot nshuffle nsort nth
syn keyword tl_keyword contained nthcdr nthlast null nullify
syn keyword tl_keyword contained num-chr num-str numberp nzerop
syn keyword tl_keyword contained o-accmode o-append o-async o-cloexec
syn keyword tl_keyword contained o-creat o-direct o-directory o-noatime
syn keyword tl_keyword contained o-noctty o-nofollow o-nonblock o-path
syn keyword tl_keyword contained o-rdonly o-rdwr o-sync o-trunc
syn keyword tl_keyword contained o-wronly oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel off-t offsetof ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-subprocess
syn keyword tl_keyword contained open-tail opendir openlog opf
syn keyword tl_keyword contained opip opost opt opthelp
syn keyword tl_keyword contained opthelp-conventions opthelp-types or orf
syn keyword tl_keyword contained pack package-alist package-fallback-list package-foreign-symbols
syn keyword tl_keyword contained package-local-symbols package-name package-symbols packagep
syn keyword tl_keyword contained pad page-size pairlis parenb
syn keyword tl_keyword contained parmrk parodd parse-errors partition
syn keyword tl_keyword contained partition* partition-by partition-if path-blkdev-p
syn keyword tl_keyword contained path-cat path-chrdev-p path-components-safe path-dir-empty
syn keyword tl_keyword contained path-dir-p path-equal path-executable-to-me-p path-exists-p
syn keyword tl_keyword contained path-file-p path-mine-p path-my-group-p path-newer
syn keyword tl_keyword contained path-older path-pipe-p path-private-to-me-p path-read-writable-to-me-p
syn keyword tl_keyword contained path-readable-to-me-p path-safe-sticky-dir path-same-object path-search
syn keyword tl_keyword contained path-sep-chars path-setgid-p path-setuid-p path-sock-p
syn keyword tl_keyword contained path-sticky-p path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p
syn keyword tl_keyword contained pdec pendin perm permi
syn keyword tl_keyword contained pic pid-t pinc pipe
syn keyword tl_keyword contained place-form-p placelet placelet* plist-to-alist
syn keyword tl_keyword contained plusp poll poll-err poll-in
syn keyword tl_keyword contained poll-nval poll-out poll-pri poll-rdband
syn keyword tl_keyword contained poll-rdhup poll-wrband poly pop
syn keyword tl_keyword contained pop-after-load portable-abs-path-p pos pos-if
syn keyword tl_keyword contained pos-max pos-min posq posql
syn keyword tl_keyword contained posqual pppred ppred pprinl
syn keyword tl_keyword contained pprint pprof pred prinl
syn keyword tl_keyword contained print prod prof prog
syn keyword tl_keyword contained prog* prog1 prog2 progn
syn keyword tl_keyword contained progv promisep prop proper-list-p
syn keyword tl_keyword contained proper-listp prot-exec prot-growsdown prot-growsup
syn keyword tl_keyword contained prot-none prot-read prot-write pset
syn keyword tl_keyword contained ptr ptr-in ptr-in-d ptr-out
syn keyword tl_keyword contained ptr-out-d ptr-out-s ptrdiff-t pub:txr-sym
syn keyword tl_keyword contained pure-rel-path-p purge-deferred-warning push push-after-load
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-json put-jsonl
syn keyword tl_keyword contained put-jsons put-line put-lines put-obj
syn keyword tl_keyword contained put-string put-strings pwd qquote
syn keyword tl_keyword contained qref quantile quip quote
syn keyword tl_keyword contained r$ r^ r^$ raise
syn keyword tl_keyword contained rand random random-buf random-fixnum
syn keyword tl_keyword contained random-float random-float-incl random-sample random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rangeref rassoc rassq
syn keyword tl_keyword contained rassql rcomb rcombi rcons
syn keyword tl_keyword contained read read-objects read-once read-until-match
syn keyword tl_keyword contained readdir readlink real-time-stream-p realpath
syn keyword tl_keyword contained record-adapter reduce-left reduce-right ref
syn keyword tl_keyword contained refset regex-compile regex-from-trie regex-optimize
syn keyword tl_keyword contained regex-parse regex-prefix-match regex-source regexp
syn keyword tl_keyword contained register-exception-subtypes register-tentative-def regsub rehome-sym
syn keyword tl_keyword contained reject rel-path relate release-deferred-warnings
syn keyword tl_keyword contained remainder remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remove-path-rec remq remq*
syn keyword tl_keyword contained remql remql* remqual remqual*
syn keyword tl_keyword contained rename-path repeat replace replace-buf
syn keyword tl_keyword contained replace-env replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-tree-iter replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if right rint rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlim-infinity rlim-saved-cur
syn keyword tl_keyword contained rlim-saved-max rlimit-as rlimit-core rlimit-cpu
syn keyword tl_keyword contained rlimit-data rlimit-fsize rlimit-nofile rlimit-stack
syn keyword tl_keyword contained rlink rlist rlist* rmdir
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rot rotate
syn keyword tl_keyword contained round round-rem rperm rpermi
syn keyword tl_keyword contained rplaca rplacd rpoly rpos
syn keyword tl_keyword contained rpos-if rposq rposql rposqual
syn keyword tl_keyword contained rr rra rsearch rslot
syn keyword tl_keyword contained rtld-deepbind rtld-global rtld-lazy rtld-local
syn keyword tl_keyword contained rtld-nodelete rtld-noload rtld-now run
syn keyword tl_keyword contained s-ifblk s-ifchr s-ifdir s-ififo
syn keyword tl_keyword contained s-iflnk s-ifmt s-ifreg s-ifsock
syn keyword tl_keyword contained s-irgrp s-iroth s-irusr s-irwxg
syn keyword tl_keyword contained s-irwxo s-irwxu s-isgid s-isuid
syn keyword tl_keyword contained s-isvtx s-iwgrp s-iwoth s-iwusr
syn keyword tl_keyword contained s-ixgrp s-ixoth s-ixusr save-exe
syn keyword tl_keyword contained sbit scalb scalbln scan-until-match
syn keyword tl_keyword contained search search-all search-regex search-regst
syn keyword tl_keyword contained search-str search-str-tree second seek-cur
syn keyword tl_keyword contained seek-end seek-set seek-stream select
syn keyword tl_keyword contained self-load-path self-path separate separate-keys
syn keyword tl_keyword contained seq-begin seq-like seq-next seq-reset
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-key set-left
syn keyword tl_keyword contained set-mask set-max-depth set-max-length set-package-fallback-list
syn keyword tl_keyword contained set-right set-sig-handler set-stack-limit setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setjmp
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setrlimit setuid seventh sh
syn keyword tl_keyword contained sh-esc sh-esc-all sh-esc-dq sh-esc-sq
syn keyword tl_keyword contained sha1 sha1-begin sha1-end sha1-hash
syn keyword tl_keyword contained sha1-stream sha256 sha256-begin sha256-end
syn keyword tl_keyword contained sha256-hash sha256-stream shift short
syn keyword tl_keyword contained short-suffix shuffle shut-rd shut-rdwr
syn keyword tl_keyword contained shut-wr sig-abrt sig-alrm sig-atomic-t
syn keyword tl_keyword contained sig-bus sig-check sig-chld sig-cont
syn keyword tl_keyword contained sig-fpe sig-hup sig-ill sig-int
syn keyword tl_keyword contained sig-io sig-iot sig-kill sig-pipe
syn keyword tl_keyword contained sig-poll sig-prof sig-pwr sig-quit
syn keyword tl_keyword contained sig-segv sig-stkflt sig-stop sig-sys
syn keyword tl_keyword contained sig-term sig-trap sig-tstp sig-ttin
syn keyword tl_keyword contained sig-ttou sig-urg sig-usr1 sig-usr2
syn keyword tl_keyword contained sig-vtalrm sig-winch sig-xcpu sig-xfsz
syn keyword tl_keyword contained sign-extend significand signum sin
syn keyword tl_keyword contained sinh sixth size-t size-vec
syn keyword tl_keyword contained sizeof slet slot slotp
syn keyword tl_keyword contained slots slotset snsort so-acceptconn
syn keyword tl_keyword contained so-broadcast so-debug so-dontroute so-error
syn keyword tl_keyword contained so-keepalive so-linger so-oobinline so-rcvbuf
syn keyword tl_keyword contained so-rcvlowat so-rcvtimeo so-reuseaddr so-sndbuf
syn keyword tl_keyword contained so-sndlowat so-sndtimeo so-type sock-accept
syn keyword tl_keyword contained sock-bind sock-cloexec sock-connect sock-dgram
syn keyword tl_keyword contained sock-family sock-listen sock-nonblock sock-opt
syn keyword tl_keyword contained sock-peer sock-recv-timeout sock-send-timeout sock-set-opt
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained sockaddr-str socklen-t sol-socket some
syn keyword tl_keyword contained some-false some-true sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p spl splice split
syn keyword tl_keyword contained split* split-str split-str-set spln
syn keyword tl_keyword contained sqrt square ssize-t ssort
syn keyword tl_keyword contained sspl sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-d str-esc str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str-s
syn keyword tl_keyword contained str-seq str< str<= str=
syn keyword tl_keyword contained str> str>= stream-get-prop stream-set-prop
syn keyword tl_keyword contained streamp strerror string-extend string-finish
syn keyword tl_keyword contained string-get-code string-lt string-set-code stringp
syn keyword tl_keyword contained strsignal struct struct-from-args struct-from-plist
syn keyword tl_keyword contained struct-get-initfun struct-get-postinitfun struct-set-initfun struct-set-postinitfun
syn keyword tl_keyword contained struct-type struct-type-name struct-type-p structp
syn keyword tl_keyword contained sub sub-buf sub-list sub-str
syn keyword tl_keyword contained sub-tree sub-vec subq subql
syn keyword tl_keyword contained subqual subst subtypep succ
syn keyword tl_keyword contained sum sum-each sum-each* sum-each-prod
syn keyword tl_keyword contained sum-each-prod* super super-method suspend
syn keyword tl_keyword contained swap symacrolet symbol-function symbol-macro
syn keyword tl_keyword contained symbol-name symbol-package symbol-value symbolp
syn keyword tl_keyword contained symdiff symlink sys:%backpatch-high16% sys:%backpatch-low16%
syn keyword tl_keyword contained sys:%big-endian% sys:%bin-op% sys:%bin-ops% sys:%block-using-funs%
syn keyword tl_keyword contained sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs% sys:%dbg-command-env%
syn keyword tl_keyword contained sys:%dbg-commands% sys:%effect-free% sys:%effect-free-funs% sys:%eval-cache%
syn keyword tl_keyword contained sys:%functional% sys:%functional-funs% sys:%gcall-op% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev% sys:%max-lev-idx%
syn keyword tl_keyword contained sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops%
syn keyword tl_keyword contained sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%param-info% sys:%quip-rand-state% sys:%quips% sys:%shuffled-quips%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:%warning-syms% sys:*dedup* sys:*emit*
syn keyword tl_keyword contained sys:*eval* sys:*in-compilation-unit* sys:*lazy-streams* sys:*load-recursive*
syn keyword tl_keyword contained sys:*load-time* sys:*match-form* sys:*op-ctx* sys:*pl-env*
syn keyword tl_keyword contained sys:*pl-form* sys:*struct-prelude* sys:*struct-prelude-alists* sys:*top-level*
syn keyword tl_keyword contained sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:add-neg-parens sys:analyze-argtypes sys:analyze-params
syn keyword tl_keyword contained sys:apply sys:arith-each sys:asm-error sys:assumed-fun
syn keyword tl_keyword contained sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+ sys:awk%--rng-
syn keyword tl_keyword contained sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check sys:awk-error
syn keyword tl_keyword contained sys:awk-expander sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-mac-let-outer sys:awk-redir sys:awk-symac-let
syn keyword tl_keyword contained sys:awk-test sys:b* sys:b+ sys:b-
syn keyword tl_keyword contained sys:b/ sys:b< sys:b<= sys:b=
syn keyword tl_keyword contained sys:b=> sys:b> sys:bad-slot-syntax sys:bexp-expand
syn keyword tl_keyword contained sys:bexp-parse sys:bexp-parse-brace sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:brace-expand sys:build-expander sys:cached-sort-body sys:can-inline-chain
syn keyword tl_keyword contained sys:capture-cont sys:careful-subst-preserve sys:catch sys:check
syn keyword tl_keyword contained sys:check-slot sys:check-struct sys:check-sym sys:circref
syn keyword tl_keyword contained sys:comma-positions sys:compat sys:compile-and-match sys:compile-as-match
syn keyword tl_keyword contained sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match sys:compile-file-conditionally
syn keyword tl_keyword contained sys:compile-hash-match sys:compile-loop-match sys:compile-match sys:compile-new-var-match
syn keyword tl_keyword contained sys:compile-not-match sys:compile-or-match sys:compile-predicate-match sys:compile-range-match
syn keyword tl_keyword contained sys:compile-require-match sys:compile-scan-all-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:dbg-all sys:dbg-backtrace
syn keyword tl_keyword contained sys:dbg-clear sys:dbg-enable sys:dbg-restore sys:dbg-set
syn keyword tl_keyword contained sys:dbg-step sys:debugger sys:debugger-help sys:dedup
syn keyword tl_keyword contained sys:dedup-labels sys:deffi-cb-expander sys:define-method sys:defset-expander
syn keyword tl_keyword contained sys:defset-expander-simple sys:detached-run sys:dig sys:disassemble-cdf
syn keyword tl_keyword contained sys:dlib-expr sys:do-conv sys:do-copy-obj sys:do-path-test
syn keyword tl_keyword contained sys:do-tweak-obj sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-param-macro
syn keyword tl_keyword contained sys:expand-params sys:expand-pic sys:expand-pic-align sys:expand-pic-num
syn keyword tl_keyword contained sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match
syn keyword tl_keyword contained sys:expand-quasi-mods sys:expand-sym-ref sys:expr sys:fbind
syn keyword tl_keyword contained sys:find-parent sys:fixed-point sys:flatten-or sys:fmt-flex
syn keyword tl_keyword contained sys:fmt-join sys:fmt-simple sys:for-op sys:gc
syn keyword tl_keyword contained sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter sys:get-mb
syn keyword tl_keyword contained sys:get-param-info sys:get-place-macro sys:get-var-list sys:get-vars
syn keyword tl_keyword contained sys:get-vb sys:getopts-error sys:glob-xstar sys:handle-bad-syntax
syn keyword tl_keyword contained sys:handle-mutated-var-args sys:hlet-expand sys:if-to-cond sys:ign-notfound
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:inline-chain sys:inline-chain-rec sys:insert-commas
syn keyword tl_keyword contained sys:is-label sys:l1-setq sys:l1-val sys:lambda-apply-transform
syn keyword tl_keyword contained sys:lambda-excess-apply-list sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-flets
syn keyword tl_keyword contained sys:list-from-vm-desc sys:load-time-lit sys:loc sys:loosen
syn keyword tl_keyword contained sys:mac-env-flatten sys:make-anon-package sys:make-command-env sys:make-copy-path-opts
syn keyword tl_keyword contained sys:make-struct-lit sys:make-struct-type sys:maproc-common sys:mark-special
syn keyword tl_keyword contained sys:match-case-to-casequal sys:match-pat-error sys:maybe-mov sys:meth-lambda
syn keyword tl_keyword contained sys:misleading-ref-check sys:name-str sys:new-expander sys:new-type
syn keyword tl_keyword contained sys:no-dvbind-eval sys:non-triv-pat-p sys:null-reg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-ensure-rec sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:op-rec-p sys:open-compile-streams sys:open-url sys:operand-to-exp
syn keyword tl_keyword contained sys:operand-to-sym sys:opip-expand sys:opip-let-p sys:opip-single-let-p
syn keyword tl_keyword contained sys:opt-controlled-diag sys:opt-dash sys:opt-err sys:orig-form
syn keyword tl_keyword contained sys:os-symbol sys:param-check sys:parse-compound-operand sys:parse-lambda-match-clause
syn keyword tl_keyword contained sys:parse-operand sys:pat-len sys:path-access sys:path-examine
syn keyword tl_keyword contained sys:path-simplify sys:path-split sys:path-test-mode sys:path-test-type
syn keyword tl_keyword contained sys:path-volume sys:pic-join-opt sys:placelet-1 sys:print-backtrace
syn keyword tl_keyword contained sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits sys:put-objects
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rewrite-case sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defv sys:rt-defvarl sys:rt-load-for sys:rt-pprof
syn keyword tl_keyword contained sys:rt-progv sys:rt-setjmp sys:safe-abs-path sys:safe-const-eval
syn keyword tl_keyword contained sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:set-symbol-value sys:setq sys:setqf sys:simplify-or
syn keyword tl_keyword contained sys:simplify-variadic-lambda sys:slot-types sys:small-op-p sys:small-op-to-sym
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:subst-preserve sys:switch sys:sym-clobber-expander sys:sym-delete-expander
syn keyword tl_keyword contained sys:sym-update-expander sys:system-symbol-p sys:top-fb sys:top-mb
syn keyword tl_keyword contained sys:top-vb sys:tr* sys:trace sys:trace-canonicalize-name
syn keyword tl_keyword contained sys:trace-enter sys:trace-leave sys:trace-redefine-check sys:transform-qquote
syn keyword tl_keyword contained sys:translate-hash-bang sys:tree-construct sys:trfm sys:true-const-p
syn keyword tl_keyword contained sys:txr-case-impl sys:typecase-expander sys:unquote sys:untrace
syn keyword tl_keyword contained sys:upenv sys:uw-block sys:uw-captured-block sys:uw-catch
syn keyword tl_keyword contained sys:uw-cont-copy sys:uw-eval sys:uw-expand sys:uw-fcall
syn keyword tl_keyword contained sys:uw-guard sys:uw-handle sys:uw-menv sys:var
syn keyword tl_keyword contained sys:var-pat-p sys:vars-check sys:vm-closure-desc sys:vm-closure-entry
syn keyword tl_keyword contained sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs
syn keyword tl_keyword contained sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap
syn keyword tl_keyword contained sys:when-exprs-match sys:when-opt sys:with-disabled-debugging sys:with-dyn-lib-check
syn keyword tl_keyword contained syslog system-package t tab0
syn keyword tl_keyword contained tab1 tab2 tab3 tabdly
syn keyword tl_keyword contained tagbody tailp take take-until
syn keyword tl_keyword contained take-while tan tanh tap
syn keyword tl_keyword contained tb tc tcdrain tcflow
syn keyword tl_keyword contained tcflush tcgetattr tciflush tcioff
syn keyword tl_keyword contained tcioflush tcion tcoflush tcooff
syn keyword tl_keyword contained tcoon tcp-nodelay tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tentative-def-exists
syn keyword tl_keyword contained tenth test-clear test-clear-dirty test-dec
syn keyword tl_keyword contained test-dirty test-inc test-neq-set-indent-mode test-set
syn keyword tl_keyword contained test-set-indent-mode tf tgamma third
syn keyword tl_keyword contained throw throwf time time-fields-local
syn keyword tl_keyword contained time-fields-utc time-nsec time-parse time-parse-local
syn keyword tl_keyword contained time-parse-utc time-str-local time-str-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec tmpfile tnode tnodep
syn keyword tl_keyword contained to tofloat tofloatz toint
syn keyword tl_keyword contained tointz tojson tok tok-str
syn keyword tl_keyword contained tok-where tokn tostop tostring
syn keyword tl_keyword contained tostringp touch tprint trace
syn keyword tl_keyword contained transpose tree tree-begin tree-bind
syn keyword tl_keyword contained tree-case tree-clear tree-count tree-del-min
syn keyword tl_keyword contained tree-del-min-node tree-delete tree-delete-node tree-delete-specific-node
syn keyword tl_keyword contained tree-find tree-insert tree-insert-node tree-lookup
syn keyword tl_keyword contained tree-lookup-node tree-min tree-min-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-path-seps
syn keyword tl_keyword contained trim-right trim-short-suffix trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained tuples* txr-case txr-exe-path txr-if
syn keyword tl_keyword contained txr-parse txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-buf uint-carray uint-ptr-t uint16
syn keyword tl_keyword contained uint32 uint64 uint8 uintmax-t
syn keyword tl_keyword contained ulong ulonglong umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uni unintern union union-get
syn keyword tl_keyword contained union-in union-members union-out union-put
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* untrace
syn keyword tl_keyword contained unuse-package unuse-sym unwind-protect upcase-str
syn keyword tl_keyword contained upd update uref url-decode
syn keyword tl_keyword contained url-encode use use-package use-sym
syn keyword tl_keyword contained use-sym-as user-package ushort usl
syn keyword tl_keyword contained usleep uslot utimes val
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-seq vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vm-fun-p vmin
syn keyword tl_keyword contained void vquit vreprint vstart
syn keyword tl_keyword contained vstop vsusp vswtc vt0
syn keyword tl_keyword contained vt1 vtdly vtime vwerase
syn keyword tl_keyword contained w-continued w-coredump w-exitstatus w-ifcontinued
syn keyword tl_keyword contained w-ifexited w-ifsignaled w-ifstopped w-nohang
syn keyword tl_keyword contained w-stopsig w-termsig w-untraced wait
syn keyword tl_keyword contained wchar weave when when-match
syn keyword tl_keyword contained whena whenlet where wheref
syn keyword tl_keyword contained whereq whereql wherequal while
syn keyword tl_keyword contained while* while-match while-match-case while-true-match-case
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mapdo window-mappend wint-t with-clobber-expander
syn keyword tl_keyword contained with-compilation-unit with-compile-opts with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d wstr-s xcase y0
syn keyword tl_keyword contained y1 yield yield-from yn
syn keyword tl_keyword contained zap zarray zchar zero-fill
syn keyword tl_keyword contained zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "#\?:"
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'"
syn match txr_quote "\^"
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lflow,lnew*,load-for,load-time,loand,lop,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
